Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-14049

build fail if python jsmin library is installed on system

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: 2.4.10, 2.6.1
    • Fix Version/s: 2.7.2
    • Component/s: Build
    • Labels:
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Sprint:
      Server 2.7.2

      Description

      Gentoo Linux users rightly reported that if the jsmin python lib is present on the system (latest 2.0.9) the v8 building fails [1].

      This is caused by the SConscript adding its own tools directory in the Python PATH at the end of the PATH. When the tools/js2c.py file is used, it imports the jsmin library which is then loaded from the system and thus the build process doesn't use the bundled one as it should.

      I apply the attached patch to the v8 SConscript to make sure that it uses first its own shipped libs before trying to use the system's.

      This affects all 2.4.x versions and 2.6.x versions as well.

      Please consider applying this fix.

      [1] https://bugs.gentoo.org/show_bug.cgi?id=510142

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: